Name:          libassuan
Version:	   2.5.5
Release:	   2
Summary:	   A small library implementing the so-called Assuan protocal
License:	   LGPLv2+ and GPLv3+
URL:		   https://www.gnupg.org/
Source0:       https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2
Source1:       https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2.sig

Patch0:     backport-libassuan-2.5.2-multilib.patch
Patch1:     backport-tests-Avoid-leaking-file-descriptors-on-errors.patch

BuildRequires:     gcc gawk libgpg-error-devel >= 1.8 

%description
%{summary},which is used for IPC between most newer GnuPG cmponents,and provides\
\ both server and client sides functions.\

%package          devel
Summary:          GnuPG IPC library
Provides:         libassuan2-devel = %{version}-%{release}
Requires:         %{name} = %{version}-%{release}
Requires:         pkgconfig

%description devel
Provide files which are needed to develop applications using %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%configure --includedir=%{_includedir}/libassuan2

%make_build

%install
%make_install

rm -fv %{buildroot}%{_infodir}/dir
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING COPYING.LIB
%{_libdir}/libassuan.so.0*


%files devel
%defattr(-,root,root)
%{_bindir}/libassuan-config
%{_includedir}/libassuan2/assuan.*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libassuan.pc
%{_datadir}/aclocal/lib*.m4
%{_infodir}/assuan.info*

%files help
%defattr(-,root,root)
%doc ChangeLog NEWS README THANKS TODO

%changelog
* Wed Oct 19 2022 xinghe <xinghe2@huawei.com> - 2.5.5-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: tests: Avoid leaking file descriptors on errors

* Tue Dec 14 2021 xinghe <xinghe2@huawei.com> - 2.5.5-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update libassuan to 2.5.5

 * Tue Jan 26 2021 xihaochen<xihaochen@huawei.com> - 2.5.4-1
 - Type:requirements
 - ID:NA
 - SUG:NA
 - DESC: update libassuan to 2.5.4

* Tue Dec 15 2020 xihaochen <xihaochen@huawei.com> - 2.5.3-2
- Type:requirement
- Id:NA
- SUG:NA
- DESC:update url

* Fri Jul 24 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.5.3-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade to 2.5.3

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.5.1-6
- delete uesless info

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.5.1-5
- Package init

